package com.ruoyi.ss.device.domain.vo;

import com.fasterxml.jackson.annotation.JsonView;
import com.ruoyi.ss.device.domain.DeviceView;
import com.ruoyi.ss.device.domain.SmDevice;
import com.ruoyi.ss.suit.domain.SuitVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author wjh
 * 2024/3/15
 */
@Data
public class SmDeviceVo extends SmDevice {
    @ApiModelProperty("是否默认")
    private Boolean isDefault;    // 是否默认

    @ApiModelProperty("租户id列表")
    private List<Long> tenantIds;   // 租户id列表

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("房东名称")
    private String userName;

    @ApiModelProperty("图片")
    private String picture;

    @ApiModelProperty("型号标签列表")
    private List<String> modelTags;

    @ApiModelProperty("套餐列表")
    @JsonView(DeviceView.SuitList.class)
    private List<SuitVo> suitList;
}
